| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_TUPLE_TO_ARRAY

BOOST_VMD_TUPLE_TO_ARRAY — converts a tuple to an array.

## Synopsis

    // In header: <boost/vmd/tuple/to_array.hpp>

    BOOST_VMD_TUPLE_TO_ARRAY(tuple)

## Description

tuple = tuple to be converted.

If the tuple is an empty tuple it is converted to an array with 0 elements. Otherwise the tuple is converted to an array with the same number of elements as the tuple.